%define         _state          stable
%define         orgname         libksane
%define         qtver           4.8.1

Summary:	libksane - picture metadata manipulation library
Summary(pl.UTF-8):	libksane - biblioteka do obróbki metadanych obrazków
Name:		kde4-libksane
Version:	4.10.4
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	44b942f94775ba0b88dc04fdfe4f794b
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	sane-backends-devel
Obsoletes:	kde4-kdegraphics-ksane < 4.6.99
Obsoletes:	libksane < 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libkexiv2 is a KDE wrapper around Exiv2 library to manipulate pictures
metadata. This library is used by kipi-plugins, digiKam and others
kipi host programs.

%description -l pl.UTF-8
libksane to obudowanie KDE biblioteki Exiv2 do obróbki metadanych
obrazków. Ta biblioteka jest wykorzystywana przez pakiety
kipi-plugins, digiKam i inne programy oparte na kiki.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	exiv2-devel
Obsoletes:	kde4-kdegraphics-devel < 4.6.99
Obsoletes:	libksane-devel < 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libksane.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libksane.so.?
%{_iconsdir}/hicolor/*x*/actions/*.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libksane.so
%{_includedir}/libksane
%{_pkgconfigdir}/libksane.pc
%{_libdir}/cmake/KSane
%changelog
* Wed Jun 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libksane.git;a=log;h=master

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> e712f22
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a17bdb0
- up to 4.10.0

* Sun Dec 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> df50aba
- up to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> 803452a
- updated to 4.9.3.

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 40a30e3
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> 500cb84
- updated to 4.9.1.

* Sun Jul 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0602330
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ef7537f
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7319b07
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ce3adfb
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ea5cea
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 770ebc0
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c7852c2
- now as kde4-libksane

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> abd9a09
- up to 4.8.0

* Tue Jan 03 2012 lisu <lisu@pld-linux.org> 6d25a60
- rel 2

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7149ece
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 959ee48
- up to 4.7.3

* Mon Oct 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f3a237c
- up to 4.7.2

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b85db87
- rel 2

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ccde26
- up to 4.7.1

